export declare const updateEventFolderSchema: import("zod").ZodObject<Pick<{
    id: import("zod").ZodString;
    name: import("zod").ZodString;
    color: import("zod").ZodString;
    created_at: import("zod").ZodDate;
    updated_at: import("zod").ZodDate;
}, "name" | "color">, "strip", import("zod").ZodTypeAny, {
    name: string;
    color: string;
}, {
    name: string;
    color: string;
}>;
declare const UpdateEventFolderDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<import("zod").ZodObject<{
    name: import("zod").ZodString;
    color: import("zod").ZodString;
}, import("zod").UnknownKeysParam, import("zod").ZodTypeAny, {
    name: string;
    color: string;
}, {
    name: string;
    color: string;
}>>;
export declare class UpdateEventFolderDto extends UpdateEventFolderDto_base {
}
export declare const updateEventFolderResponseSchema: import("zod").ZodObject<{
    id: import("zod").ZodString;
    name: import("zod").ZodString;
    color: import("zod").ZodString;
    created_at: import("zod").ZodDate;
    updated_at: import("zod").ZodDate;
}, "strip", import("zod").ZodTypeAny, {
    id: string;
    name: string;
    color: string;
    created_at: Date;
    updated_at: Date;
}, {
    id: string;
    name: string;
    color: string;
    created_at: Date;
    updated_at: Date;
}>;
declare const UpdateEventFolderResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<import("zod").ZodObject<{
    id: import("zod").ZodString;
    name: import("zod").ZodString;
    color: import("zod").ZodString;
    created_at: import("zod").ZodString;
    updated_at: import("zod").ZodString;
}, import("zod").UnknownKeysParam, import("zod").ZodTypeAny, {
    id: string;
    name: string;
    color: string;
    created_at: string;
    updated_at: string;
}, {
    id: string;
    name: string;
    color: string;
    created_at: string;
    updated_at: string;
}>>;
export declare class UpdateEventFolderResponseDto extends UpdateEventFolderResponseDto_base {
}
export {};
